Cyan Web API - Version 1


GET api/messageAuditTypes

            Gets all MessageAuditTypes
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "messageAuditTypeId": "07d97a5d-34d3-4d3d-a57e-f851aa096fae",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "createdDateUtc": "2026-11-13T23:59:38.4390683+00:00",
    "updatedDateUtc": "2026-11-13T23:59:38.4390683+00:00"
  },
  {
    "messageAuditTypeId": "07d97a5d-34d3-4d3d-a57e-f851aa096fae",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "createdDateUtc": "2026-11-13T23:59:38.4390683+00:00",
    "updatedDateUtc": "2026-11-13T23:59:38.4390683+00:00"
  },
  {
    "messageAuditTypeId": "07d97a5d-34d3-4d3d-a57e-f851aa096fae",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "createdDateUtc": "2026-11-13T23:59:38.4390683+00:00",
    "updatedDateUtc": "2026-11-13T23:59:38.4390683+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfMessageAuditTypeRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <MessageAuditTypeRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:38.4390683+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:38.4390683+00:00</UpdatedDateUtc>
    <Description>sample string 4</Description>
    <LookupKey>sample string 2</LookupKey>
    <MessageAuditTypeId>07d97a5d-34d3-4d3d-a57e-f851aa096fae</MessageAuditTypeId>
    <Name>sample string 3</Name>
  </MessageAuditTypeRepresentation>
  <MessageAuditTypeRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:38.4390683+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:38.4390683+00:00</UpdatedDateUtc>
    <Description>sample string 4</Description>
    <LookupKey>sample string 2</LookupKey>
    <MessageAuditTypeId>07d97a5d-34d3-4d3d-a57e-f851aa096fae</MessageAuditTypeId>
    <Name>sample string 3</Name>
  </MessageAuditTypeRepresentation>
  <MessageAuditTypeRepresentation>
    <CreatedDateUtc>2026-11-13T23:59:38.4390683+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-11-13T23:59:38.4390683+00:00</UpdatedDateUtc>
    <Description>sample string 4</Description>
    <LookupKey>sample string 2</LookupKey>
    <MessageAuditTypeId>07d97a5d-34d3-4d3d-a57e-f851aa096fae</MessageAuditTypeId>
    <Name>sample string 3</Name>
  </MessageAuditTypeRepresentation>
</ArrayOfMessageAuditTypeRepresentation>